# fin-stresstest

[![PyPI version](https://badge.fury.io/py/fin-stresstest.svg)](https://badge.fury.io/py/fin-stresstest)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![Python 3.7+](https://img.shields.io/badge/python-3.7+-blue.svg)](https://www.python.org/downloads/)

Una biblioteca Python para realizar pruebas de estrés financiero y análisis de escenarios de riesgo.

## Características

- Generación de escenarios de estrés basados en datos históricos
- Modelado de extremos mediante Teoría de Valores Extremos (EVT)
- Captura de dependencias no lineales con modelos de cópulas
- Simulación histórica y paramétrica
- Cálculo de métricas de riesgo (VaR, Expected Shortfall)
- Visualización avanzada de resultados
- Herramientas para análisis de sensibilidad
- Utilidades para manipulación de datos financieros
- Carga automática de datos desde Yahoo Finance

## Instalación

```bash
pip install fin-stresstest